classification
Title: Strip out the last lingering vestiges of Windows CE support
Type: enhancement Stage: resolved
Components: Interpreter Core, Library (Lib), Tests Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: larry, lemburg, mhammond, python-dev, steve.dower, tim.golden, tim.peters, zach.ware
Priority: low Keywords:

Created on 2016-06-20 07:36 by larry, last changed 2016-09-06 02:20 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
larry.dont.wince.1.patch.txt larry, 2016-06-20 07:36 review
larry.dont.wince.2.patch.txt larry, 2016-09-05 21:22 review
Messages (10)
msg268886 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-06-20 07:36
I can't tell if CPython ever really officially supported Windows CE or not.  There are some checkins around 2.5 that suggest there was at least partial support.  However posixmodule was supposed to be renamed "ce" on Windows CE, and that was never checked in.  (There was an external fork called "Python CE" for a while which *did* make this change.)

In any case, Windows CE support never survived the transition to Python 3.  It has clearly never even been compiled since Python 3.0 shipped.  In addition, the external "Python CE" project is dead; their last supported Python version was 2.5, back in 2007.  Windows CE appears to still be around as an embedded OS, but I don't think it's a user-visible OS.  The days of Windows CE palmtops is long gone.  And it's incontrevertably true: Python is no longer supported on Windows CE--if indeed it ever was.

So it's time for some late-spring cleaning!  The attached patch removes all remaining vestiges of Python's support for Windows CE.

A couple of minor questions/notes:

* I did a search-and-destroy for "ce", which lead me to _WIN32_WCE and MS_WINCE.

* I wasn't sure if I should touch Lib/platform.py.  (MAL?)

* I'm pretty sure I shouldn't touch config.sub, zlib, or ctypes.

Could one of you Windows guys apply the patch and tell me if anything blows up?
msg268923 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-06-20 19:58
+1

Doesn't break anything in a x64 build for me.  Modules/_ctypes/libffi_arm_wince/ should also be removed, though (it's a private, ancient copy of libffi that has never actually been used as far as I can tell).
msg268929 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-06-20 20:41
Nosying two people who I know worked on the port originally, just in case they have an opinion about removing WinCE.

(Remind me.  Why is our private copy of libffi a divergent unmaintained fork?  libffi still gets updates; last update was two years ago.  Why can't we just... update ours?)
msg271591 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-07-29 00:33
See #23085 for more about our libffi situation.


For this issue, with silence from Tim and Mark I say commit at will (and kill Modules/_ctypes/libffi_arm_wince/ as well).
msg274434 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-09-05 21:22
Refreshed the patch.  With a Misc/NEWS entry I think it's ready for checkin.  WFM on Linux 64-bit with gcc; can I get people to try other platforms?

* os x (clang)
* win32
* win64
msg274436 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-09-05 21:34
I'm building on Windows now.
msg274444 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-05 22:05
LGTM on Win32, Win64, and OSX.
msg274446 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-05 22:11
New changeset 7a2eccee823b by Larry Hastings in branch 'default':
Issue #27355: Removed support for Windows CE.  It was never finished,
https://hg.python.org/cpython/rev/7a2eccee823b
msg274447 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-09-05 22:12
Committed.  Bye bye Windows CE!
msg274498 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-06 02:20
New changeset 0ce745bb7717 by Martin Panter in branch 'default':
Issue #27355: Import no longer needed
https://hg.python.org/cpython/rev/0ce745bb7717
History
Date User Action Args
2016-09-06 02:20:11python-devsetmessages: + msg274498
2016-09-05 22:12:16larrysetstatus: open -> closed
resolution: fixed
messages: + msg274447

stage: commit review -> resolved
2016-09-05 22:11:45python-devsetnosy: + python-dev
messages: + msg274446
2016-09-05 22:05:26zach.waresetmessages: + msg274444
2016-09-05 21:34:48steve.dowersetmessages: + msg274436
2016-09-05 21:22:58larrysetfiles: + larry.dont.wince.2.patch.txt

messages: + msg274434
2016-07-29 00:33:32zach.waresetmessages: + msg271591
stage: patch review -> commit review
2016-06-20 20:41:27larrysetnosy: + tim.peters, mhammond
messages: + msg268929
2016-06-20 19:58:26zach.waresetmessages: + msg268923
2016-06-20 07:36:20larrycreate